Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AccessReview.Get(ctx, operations.C1APIAccessreviewV1AccessReviewServiceGetRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.AccessReviewServiceGetResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.accessReview.get({
id: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/access_review/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/access_review/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/access_review/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accessReview": {
"accessReview": {
"accessReviewTemplateId": "<string>",
"autoCloseCampaign": true,
"autoGenerateReport": true,
"autoResolve": true,
"autoStartCampaign": true,
"bindings": {},
"campaignHealth": {
"checkedAt": "2023-11-07T05:31:56Z",
"phantomLockedCount": 123
},
"campaignInsights": {
"markdown": "<string>"
},
"closedAt": "2023-11-07T05:31:56Z",
"columnConfig": {
"columns": []
},
"completionDate": "2023-11-07T05:31:56Z",
"connectorSourcesFrozenAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"description": "<string>",
"displayName": "<string>",
"exclusionScope": {
"appUserStatuses": [],
"appUserTypes": []
},
"exemptCertifiedAccessConflicts": true,
"expectedTicketCount": 123,
"hasAccuracySupport": true,
"id": "<string>",
"inclusionScope": {
"appUserStatuses": [],
"appUserTypes": [],
"managerIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"noAccountOwners": true,
"userIds": [
"<string>"
],
"userStatuses": []
},
"multiApp": {
"appEntitlementDetails": {},
"appEntitlements": {}
},
"notificationConfig": {
"sendClose": true,
"sendKickoff": true,
"sendReminders": true
},
"policyId": "<string>",
"reviewInstructions": "<string>",
"reviewerAttributeConfig": {
"bindings": [
{
"appId": "<string>",
"attributeKey": "<string>"
}
]
},
"scheduledStartDate": "2023-11-07T05:31:56Z",
"scope": {
"appUserStatuses": [],
"appUserTypes": []
},
"scopeV2": {
"accountCelExpression": {
"expression": "<string>"
},
"accountCriteria": {
"accountTypes": [],
"appUserStatuses": [],
"noAccountOwner": true
},
"allAccessConflicts": {},
"allAccounts": {},
"allGrants": {},
"allUsers": {},
"appAccess": {},
"appSelectionCriteria": {
"complianceFrameworkAttributeValueIds": [
"<string>"
],
"riskLevelAttributeValueIds": [
"<string>"
]
},
"celExpression": {
"expression": "<string>"
},
"grantsByCriteria": {
"accessProfileFilter": {
"excludedAccessProfileIds": [
"<string>"
],
"includedAccessProfileIds": [
"<string>"
]
},
"daysSinceAdded": "<string>",
"daysSinceLastUsed": "<string>",
"daysSinceReviewed": "<string>",
"grantsAddedBetween": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
}
},
"resourceSelection": {},
"resourceTypeSelections": {},
"selectedUsers": {
"userIds": [
"<string>"
]
},
"specificAccessConflicts": {},
"specificResources": {},
"userCriteria": {
"groupAppEntitlementsRef": [
{
"appId": "<string>",
"id": "<string>"
}
],
"managerUserIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"userStatus": []
}
},
"scopingVersion": "<string>",
"signatureConfig": {
"meaningOfSignature": "<string>",
"requireSignature": true,
"stepUpProviderId": "<string>",
"tspUrl": "<string>"
},
"singleApp": {
"appId": "<string>"
},
"startedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"usePolicyOverride": true
},
"createdByUserPath": "<string>",
"objectPermissions": {
"delete": true,
"edit": true,
"extra": {},
"read": true
},
"policyPath": "<string>"
},
"expanded": [
{
"@type": "<string>"
}
]
}Access Review
Get
Get retrieves a single access review campaign by ID.
GET
/
api
/
v1
/
access_review
/
{id}
Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AccessReview.Get(ctx, operations.C1APIAccessreviewV1AccessReviewServiceGetRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.AccessReviewServiceGetResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.accessReview.get({
id: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The ID of the access review campaign to retrieve.
Was this page helpful?
⌘I